unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type TMyColors = (myWhite,myRed,myGreen,myBlue,myYellow,myBlack,myLime);

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Shape1: TShape;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    procedure ShowTheColor;

  public
     myColor  : TMyColors;

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }
procedure TForm1.ShowTheColor;
begin
 case ord(myColor) of
 0 : Shape1.Brush.Color := clWhite;
 1 : Shape1.Brush.Color := clRed;
 2 : Shape1.Brush.Color := clGreen;
 3 : Shape1.Brush.Color := clBlue;
 4 : Shape1.Brush.Color := clYellow;
 5 : Shape1.Brush.Color := clBlack;
 6 : Shape1.Brush.Color := clLime;
 end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 myColor := TMyColors((ord(myColor) + 1) mod 7);
 ShowTheColor;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 myColor := TMyColors((ord(myColor) + 2) mod 7);
 ShowTheColor;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 if myColor = high(TMyColors) then
    myColor:=low(TMyColors)
  else
    myColor:=succ(myColor);
 ShowTheColor;
end;

end.

